# azure.mgmt.advisor.operations module

class `azure.mgmt.advisor.operations.``RecommendationMetadataOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RecommendationMetadataOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The version of the API to be used with the client request. Constant value: “2017-04-19”.

  `get`(name, custom_headers=None, raw=False, **operation_config)

    Gets the metadata entity.

    Parameters:

    - name (str) – Name of metadata entity.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | object or ClientRawResponse if raw=true
    Return type: | object or ClientRawResponse
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    Gets the list of metadata entities.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of MetadataEntity
    Return type: | MetadataEntityPaged[MetadataEntity]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.advisor.models' from '/usr/lib/python3/dist-packages/azure/mgmt/advisor/models/__init__.py'>

class `azure.mgmt.advisor.operations.``ConfigurationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ConfigurationsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The version of the API to be used with the client request. Constant value: “2017-04-19”.

  `create_in_resource_group`(config_contract, resource_group, custom_headers=None, raw=False, **operation_config)

    Create/Overwrite Azure Advisor configuration.

    Parameters:

    - config_contract (ConfigData) – The Azure Advisor configuration data structure.
    - resource_group (str) – The name of the Azure resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ARMErrorResponseBody or ClientRawResponse if raw=true
    Return type: | ARMErrorResponseBody or ClientRawResponse
    Raises: | `CloudError`

  `create_in_subscription`(config_contract, custom_headers=None, raw=False, **operation_config)

    Create/Overwrite Azure Advisor configuration.

    Create/Overwrite Azure Advisor configuration and also delete all configurations of contained resource groups.

    Parameters:

    - config_contract (ConfigData) – The Azure Advisor configuration data structure.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ARMErrorResponseBody or ClientRawResponse if raw=true
    Return type: | ARMErrorResponseBody or ClientRawResponse
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group, custom_headers=None, raw=False, **operation_config)

    Retrieve Azure Advisor configurations.

    Parameters:

    - resource_group (str) – The name of the Azure resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ConfigData
    Return type: | ConfigDataPaged[ConfigData]
    Raises: | `CloudError`

  `list_by_subscription`(custom_headers=None, raw=False, **operation_config)

    Retrieve Azure Advisor configurations.

    Retrieve Azure Advisor configurations and also retrieve configurations of contained resource groups.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ConfigData
    Return type: | ConfigDataPaged[ConfigData]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.advisor.models' from '/usr/lib/python3/dist-packages/azure/mgmt/advisor/models/__init__.py'>

class `azure.mgmt.advisor.operations.``RecommendationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RecommendationsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The version of the API to be used with the client request. Constant value: “2017-04-19”.

  `generate`(custom_headers=None, raw=False, **operation_config)

    Initiates the recommendation generation or computation process for a subscription. This operation is asynchronous. The generated recommendations are stored in a cache in the Advisor service.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_uri, recommendation_id, custom_headers=None, raw=False, **operation_config)

    Obtains details of a cached recommendation.

    Parameters:

    - resource_uri (str) – The fully qualified Azure Resource Manager identifier of the resource to which the recommendation applies.
    - recommendation_id (str) – The recommendation ID.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ResourceRecommendationBase or ClientRawResponse if raw=true
    Return type: | ResourceRecommendationBase or ClientRawResponse
    Raises: | `CloudError`

  `get_generate_status`(operation_id, custom_headers=None, raw=False, **operation_config)

    Retrieves the status of the recommendation computation or generation process. Invoke this API after calling the generation recommendation. The URI of this API is returned in the Location field of the response header.

    Parameters:

    - operation_id (str) – The operation ID, which can be found from the Location field in the generate recommendation response header.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `list`(filter=None, top=None, skip_token=None, custom_headers=None, raw=False, **operation_config)

    Obtains cached recommendations for a subscription. The recommendations are generated or computed by invoking generateRecommendations.

    Parameters:

    - filter (str) – The filter to apply to the recommendations.
    - top (int) – The number of recommendations per page if a paged version of this API is being used.
    - skip_token (str) – The page-continuation token to use with a paged version of this API.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ResourceRecommendationBase
    Return type: | ResourceRecommendationBasePaged[ResourceRecommendationBase]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.advisor.models' from '/usr/lib/python3/dist-packages/azure/mgmt/advisor/models/__init__.py'>

class `azure.mgmt.advisor.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The version of the API to be used with the client request. Constant value: “2017-04-19”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all the available Advisor REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of OperationEntity
    Return type: | OperationEntityPaged[OperationEntity]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.advisor.models' from '/usr/lib/python3/dist-packages/azure/mgmt/advisor/models/__init__.py'>

class `azure.mgmt.advisor.operations.``SuppressionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SuppressionsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The version of the API to be used with the client request. Constant value: “2017-04-19”.

  `create`(resource_uri, recommendation_id, name, suppression_id=None, ttl=None, custom_headers=None, raw=False, **operation_config)

    Enables the snoozed or dismissed attribute of a recommendation. The snoozed or dismissed attribute is referred to as a suppression. Use this API to create or update the snoozed or dismissed status of a recommendation.

    Parameters:

    - resource_uri (str) – The fully qualified Azure Resource Manager identifier of the resource to which the recommendation applies.
    - recommendation_id (str) – The recommendation ID.
    - name (str) – The name of the suppression.
    - suppression_id (str) – The GUID of the suppression.
    - ttl (str) – The duration for which the suppression is valid.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SuppressionContract or ClientRawResponse if raw=true
    Return type: | SuppressionContract or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_uri, recommendation_id, name, custom_headers=None, raw=False, **operation_config)

    Enables the activation of a snoozed or dismissed recommendation. The snoozed or dismissed attribute of a recommendation is referred to as a suppression.

    Parameters:

    - resource_uri (str) – The fully qualified Azure Resource Manager identifier of the resource to which the recommendation applies.
    - recommendation_id (str) – The recommendation ID.
    - name (str) – The name of the suppression.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_uri, recommendation_id, name, custom_headers=None, raw=False, **operation_config)

    Obtains the details of a suppression.

    Parameters:

    - resource_uri (str) – The fully qualified Azure Resource Manager identifier of the resource to which the recommendation applies.
    - recommendation_id (str) – The recommendation ID.
    - name (str) – The name of the suppression.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SuppressionContract or ClientRawResponse if raw=true
    Return type: | SuppressionContract or ClientRawResponse
    Raises: | `CloudError`

  `list`(top=None, skip_token=None, custom_headers=None, raw=False, **operation_config)

    Retrieves the list of snoozed or dismissed suppressions for a subscription. The snoozed or dismissed attribute of a recommendation is referred to as a suppression.

    Parameters:

    - top (int) – The number of suppressions per page if a paged version of this API is being used.
    - skip_token (str) – The page-continuation token to use with a paged version of this API.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of SuppressionContract
    Return type: | SuppressionContractPaged[SuppressionContract]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.advisor.models' from '/usr/lib/python3/dist-packages/azure/mgmt/advisor/models/__init__.py'>